[Question] Is there a way to transfer from PS4 9.03 to PS4 JB 9.00 using external storage?

Megaman Hunter

Member
OP
Newcomer
Joined
May 10, 2015
Messages
23
Trophies
0
Age
30
XP
158
Country
Bosnia and Herzegovina
Hello!

As the title says, I do have two PS4 (one is 9.03 not JB and other one is 9.00 JB), and I want to know if it is possible to store games with their updates and DLC on extended external drive from 9.03 (Updates supported by 9.00 ofc), and try to load them on my JB PS4.

Am I doing it right? Would that work? And if it does, can I make an FPKG from it?
 

Leeful

GBAtemp Member
Developer
Joined
Sep 4, 2015
Messages
1,903
Trophies
1
XP
7,069
Country
United Kingdom
The games you move to the extended storage drive on 9.03 will be official retail pkgs.

They might be visible but they will not run on your JB 9.00 because they are retail pkgs.
And because they cannot run on your 9.00 you will not be able to dump/convert them to fake pkgs.
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
The games you move to the extended storage drive on 9.03 will be official retail pkgs.

They might be visible but they will not run on your JB 9.00 because they are retail pkgs.
And because they cannot run on your 9.00 you will not be able to dump/convert them to fake pkgs.
I don't know if that's true, because someone said that the latest update on the ps5 -- those games were playable when moving extended storage to a ps4 on 9.00.
 
  • Like
Reactions: Leeful

Leeful

GBAtemp Member
Developer
Joined
Sep 4, 2015
Messages
1,903
Trophies
1
XP
7,069
Country
United Kingdom
I don't know if that's true, because someone said that the latest update on the ps5 -- those games were playable when moving extended storage to a ps4 on 9.00.
What about the licences? Maybe disc games but I cant see how it would work with downloaded PSN games.
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
that is how games were still being dumped when we can't sign in to psn, but sony patched it, twice afaik. once on 7.xx, then again on 8.50. afaik, they didn't patch it again on 9.03, must not have if the latest ps5 update still works.
 
  • Like
Reactions: Leeful

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
@Leeful , iirc, the ps5 faq on sony's website says that a ps4 extended storage is just plug and play. it doesn't even mention downloading licenses from psn either iirc when going from the ps4, just have to be on the same account. I know that a friend on here said it was that easy for him, but he never exploited his ps4, so I don't know what firmware he was on. his ps4 sounded pretty messed up like the eject sensor kept going off or something.
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
what if the system is just using the license.dat to place the license in the license folder on the internal hdd? we know we don't need a license for fpkg, when installing, but one is made anyway. I think that file may be the reason. it's one made by orbis, but I don't know if it's passcode related or user related or both. it's one of the files that can decrypted without a passcode iirc, I think that's what apps use to determine the passcode of something, whether it's a fpkg or not. that's just a guess though.
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
it's probably determining the account by the act.dat which is account related, while the idps is console related (not sure how it would work here), but both are used in decrypting content on the ps3. I'm assuming the license.dat takes care of both though, which would explain how it can work on multiple consoles.
 
  • Like
Reactions: Leeful

Leeful

GBAtemp Member
Developer
Joined
Sep 4, 2015
Messages
1,903
Trophies
1
XP
7,069
Country
United Kingdom
@Leeful , iirc, the ps5 faq on sony's website says that a ps4 extended storage is just plug and play. it doesn't even mention downloading licenses from psn either iirc when going from the ps4, just have to be on the same account. I know that a friend on here said it was that easy for him, but he never exploited his ps4, so I don't know what firmware he was on. his ps4 sounded pretty messed up like the eject sensor kept going off or something.
But thats if the PS5 and PS4 are both able to connect to PSN.

If a retail PKG is on a PS4 it needs the same profileID ( which is possible with activation) and the licence ror the game to run.
If the licence is not on the PS4 it needs to connect to PSN to enable the licence for game to work.

On my old 505 it was originally connected to PSN and I had official PSN games on it but when I initialised the PS4 (after makeing an official backup and restoring it) the games would no longer work because the licences did not transfer in the backup.

Would that not be a similar case here?

I'm confusing myself now.:)
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
not sure, just know it's worked in the past. it would've been unnecessary to patch it if you had to sign to psn in the first place. I think @KiiWii had "extended storage works up to 8.50" before 9.00 exploit was released, because using higher firmware 8.50+ no longer worked on lower firmware.
 
  • Like
Reactions: KiiWii

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
@Leeful , I asked on the dev discord:

1640635807093.png



I'll let you know if I get a response.
 
  • Like
Reactions: Leeful

Leeful

GBAtemp Member
Developer
Joined
Sep 4, 2015
Messages
1,903
Trophies
1
XP
7,069
Country
United Kingdom
not sure, just know it's worked in the past. it would've been unnecessary to patch it if you had to sign to psn in the first place. I think @KiiWii had "extended storage works up to 8.50" before 9.00 exploit was released, because using higher firmware 8.50+ no longer worked on lower firmware.
I just formatted an extended storage drive on 9.00, moved a game to it and tried the game on my 5.05 PS4 with goldhen2 and it worked fine.

I know its nothing to do with the 'retail' pkg discussion were having but I thought I'd try out a 9.00 drive on 5.05.

My extended stoeage drive from 672 still works on my 9.00 too.
 
  • Like
Reactions: KiiWii

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
psdevwiki mentions that scecoreshell.self is what takes care of licensing. it does come from psn, but how does it work on lower firmware unless it's hen only? don't really understand it. where is the rif coming from, because fpkg files have rifs.
 
  • Like
Reactions: Leeful

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
here's what a fake pkg license looks like:

1640637230944.png

there's a bunch of info at the bottom of it, but I assume that chunk of 0's is where user information is supposed to go for having bought the content.
 
  • Like
Reactions: Leeful

Jayinem

Well-Known Member
Member
Joined
Dec 16, 2021
Messages
767
Trophies
0
XP
1,907
Country
United States
But wait the answer to the question of the topic is still no right? You can't just take retail games off 9.03 and make them work on 9.00 can you? Just because an external from latest PS5 works on PS4 does not mean those were 9.03 games on PS4 am I wrong?

We were never able to do this in the past such as make games from 8.0 work on 7.55 for example. (before there was any exploit) So i'm not sure it would have changed.
 

godreborn

Welcome to the Machine
Member
Joined
Oct 10, 2009
Messages
38,467
Trophies
3
XP
29,236
Country
United States
But wait the answer to the question of the topic is still no right? You can't just take retail games off 9.03 and make them work on 9.00 can you? Just because an external from latest PS5 works on PS4 does not mean those were 9.03 games on PS4 am I wrong?

We were never able to do this in the past such as make games from 8.0 work on 7.55 for example. (before there was any exploit) So i'm not sure it would have changed.
you were never able to make higher firmware games work on lower firmware. it's just games on current exploitable or lower firmware can be dumped.
 

Site & Scene News

Popular threads in this forum

General chit-chat
Help Users
    AncientBoi @ AncientBoi: bbl. Got to get ready for doc. Again. lol